Eclipse and Maven Plugin

Developers
2007-08-05
2013-04-25
  • dreamlusion

    dreamlusion - 2007-08-05

    Hello,

    Does anybody use the Maven plugin for Eclipse with the Web Server project?

    I am constantly getting the error bellow, and it seems that maven cannot proceed to dependency resolving. I installed the library using the command proposed by the tool (tools.jar from a JDK 1.5.0 installation) under the project's maven repository and under my main repository, but that didn't help.

    8/5/07 5:33:46 PM EEST: Missing:
    1) com.sun:tools:jar:1.5.0
      Try downloading the file manually from the project website.
      Then, install it using the command:
          mvn install:install-file -DgroupId=com.sun -DartifactId=tools \           -Dversion=1.5.0 -Dpackaging=jar -Dfile=/path/to/file
      Path to dependency:
          1) jlibrary:org.jlibrary.server.web:war:1.0-SNAPSHOT
          2) jlibrary:org.jlibrary.extractors:jar:1.0-SNAPSHOT
          3) org.htmlparser:htmlparser:jar:1.6
          4) com.sun:tools:jar:1.5.0
    1 required artifact is missing.
    for artifact:
      jlibrary:org.jlibrary.server.web:war:1.0-SNAPSHOT
    from the specified remote repositories:
      codehaus (http://repository.codehaus.org/),
      local-repository (file://C:\develop\jlibrary\trunk\org.jlibrary.web/../repository),
      central (http://repo1.maven.org/maven2),
      ibiblio (http://mirrors.ibiblio.org/pub/mirrors/maven2/)

     
    • mpermar

      mpermar - 2007-08-05

      I never tried with the Eclipse plug-in.

      Have you tried from command line? If you get it working from command line first then it should be straightforward afterwards.

      Martin

       
    • dreamlusion

      dreamlusion - 2007-08-05

      From the command line works like a charm :)

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks